// -*- mode: c++ -*-
#pragma once

#include "Kaleidoscope-MouseKeys.h"

enum { PRIMARY, NUMPAD, FUNCTION, FVWM }; // layers

#define PRIMARY_KEYMAP_QWERTY
// #define PRIMARY_KEYMAP_DVORAK

#define CK(k,c) k

#define ColorKeymaps(layers...) KEYMAPS(layers)

#include "keymaps.h"

#undef CK
#undef ColorKeymaps

#define CK(k,c) c

#define ColorKeymaps(layers...) \
  static constexpr uint8_t color_keymaps[][ROWS][COLS] = { layers };

#include "keymaps.h"

#undef CK
#undef ColorKeymaps
